
_set_interrupt:

;time_calender_module.mbas,28 :: 		sub procedure set_interrupt
;time_calender_module.mbas,29 :: 		INTCON = %11000000  ' interupts aanzetten
	MOVLW      192
	MOVWF      INTCON+0
;time_calender_module.mbas,30 :: 		PIE1 =   %00000100   ' ccpx1 interupt aanzetten
	MOVLW      4
	MOVWF      PIE1+0
;time_calender_module.mbas,31 :: 		T1CON =  %00110000   ' prescaler op /8
	MOVLW      48
	MOVWF      T1CON+0
;time_calender_module.mbas,32 :: 		CCP1CON = %00001011
	MOVLW      11
	MOVWF      CCP1CON+0
;time_calender_module.mbas,33 :: 		CCPR1L = 0x00
	CLRF       CCPR1L+0
;time_calender_module.mbas,34 :: 		CCPR1H = 0X2D
	MOVLW      45
	MOVWF      CCPR1H+0
;time_calender_module.mbas,35 :: 		Clearbit(PIR1, TMR1IF)
	BCF        PIR1+0, 0
;time_calender_module.mbas,36 :: 		Setbit(T1CON, TMR1ON)' timer aanzetten
	BSF        T1CON+0, 0
;time_calender_module.mbas,37 :: 		end sub
L_end_set_interrupt:
	RETURN
; end of _set_interrupt

time_calender_module_check_schrikkel:

;time_calender_module.mbas,40 :: 		sub procedure check_schrikkel()
;time_calender_module.mbas,41 :: 		if ((y_ mod 4) = 0 )
	MOVLW      3
	ANDWF      _y_+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_time_calender_module_check_schrikkel3
;time_calender_module.mbas,42 :: 		then row = 0
	CLRF       time_calender_module_row+0
	GOTO       L_time_calender_module_check_schrikkel4
;time_calender_module.mbas,43 :: 		else row = 1
L_time_calender_module_check_schrikkel3:
	MOVLW      1
	MOVWF      time_calender_module_row+0
;time_calender_module.mbas,44 :: 		end if
L_time_calender_module_check_schrikkel4:
;time_calender_module.mbas,45 :: 		columm = mo_ - 1
	DECF       _mo_+0, 0
	MOVWF      time_calender_module_columm+0
;time_calender_module.mbas,46 :: 		end sub
L_end_check_schrikkel:
	RETURN
; end of time_calender_module_check_schrikkel

_set_time:

;time_calender_module.mbas,56 :: 		sub procedure set_time(dim hh, mm as byte)
;time_calender_module.mbas,57 :: 		start_t = 0
	CLRF       _start_t+0
;time_calender_module.mbas,58 :: 		s_ = 00
	CLRF       _s_+0
;time_calender_module.mbas,59 :: 		mi_ = mm
	MOVF       FARG_set_time_mm+0, 0
	MOVWF      _mi_+0
;time_calender_module.mbas,60 :: 		h_  = hh
	MOVF       FARG_set_time_hh+0, 0
	MOVWF      _h_+0
;time_calender_module.mbas,61 :: 		start_t = 1
	MOVLW      1
	MOVWF      _start_t+0
;time_calender_module.mbas,62 :: 		end sub
L_end_set_time:
	RETURN
; end of _set_time

_set_date:

;time_calender_module.mbas,64 :: 		sub procedure set_date(dim dd, mm, yy as byte)
;time_calender_module.mbas,65 :: 		d_ = dd
	MOVF       FARG_set_date_dd+0, 0
	MOVWF      _d_+0
;time_calender_module.mbas,66 :: 		mo_ = mm
	MOVF       FARG_set_date_mm+0, 0
	MOVWF      _mo_+0
;time_calender_module.mbas,67 :: 		y_ = yy
	MOVF       FARG_set_date_yy+0, 0
	MOVWF      _y_+0
;time_calender_module.mbas,68 :: 		check_schrikkel()
	CALL       time_calender_module_check_schrikkel+0
;time_calender_module.mbas,69 :: 		end sub
L_end_set_date:
	RETURN
; end of _set_date

_get_wkday:

;time_calender_module.mbas,72 :: 		dim regis as byte
;time_calender_module.mbas,73 :: 		check_schrikkel()
	CALL       time_calender_module_check_schrikkel+0
;time_calender_module.mbas,74 :: 		regis = century + y_ + (y_ div 4) + MONTHS[row][columm] + d_
	MOVF       _y_+0, 0
	ADDLW      6
	MOVWF      R2+0
	MOVF       _y_+0, 0
	MOVWF      R0+0
	RRF        R0+0, 1
	BCF        R0+0, 7
	RRF        R0+0, 1
	BCF        R0+0, 7
	MOVF       R0+0, 0
	ADDWF      R2+0, 0
	MOVWF      FLOC__get_wkday+0
	MOVLW      12
	MOVWF      R0+0
	CLRF       R0+1
	MOVF       time_calender_module_row+0, 0
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Mul_16x16_U+0
	MOVLW      time_calender_module_MONTHS+0
	ADDWF      R0+0, 1
	MOVLW      hi_addr(time_calender_module_MONTHS+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      R0+1, 1
	MOVF       time_calender_module_columm+0, 0
	ADDWF      R0+0, 1
	BTFSC      STATUS+0, 0
	INCF       R0+1, 1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      R0+0
	MOVF       FLOC__get_wkday+0, 0
	ADDWF      R0+0, 1
	MOVF       _d_+0, 0
	ADDWF      R0+0, 1
;time_calender_module.mbas,75 :: 		result = WEEKDAY_ [(regis mod 7)]
	MOVLW      7
	MOVWF      R4+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVLW      0
	MOVWF      R0+1
	MOVLW      time_calender_module_WEEKDAY_+0
	ADDWF      R0+0, 1
	MOVLW      hi_addr(time_calender_module_WEEKDAY_+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      R0+1, 1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      get_wkday_local_result+0
;time_calender_module.mbas,76 :: 		end sub
	MOVF       get_wkday_local_result+0, 0
	MOVWF      R0+0
L_end_get_wkday:
	RETURN
; end of _get_wkday

_start_alarm:

;time_calender_module.mbas,78 :: 		sub procedure start_alarm()
;time_calender_module.mbas,79 :: 		start_a = 1
	MOVLW      1
	MOVWF      _start_a+0
;time_calender_module.mbas,80 :: 		end sub
L_end_start_alarm:
	RETURN
; end of _start_alarm

_stop_alarm:

;time_calender_module.mbas,82 :: 		sub procedure stop_alarm()
;time_calender_module.mbas,83 :: 		start_a = 0
	CLRF       _start_a+0
;time_calender_module.mbas,84 :: 		end sub
L_end_stop_alarm:
	RETURN
; end of _stop_alarm

_set_alarm:

;time_calender_module.mbas,86 :: 		sub procedure set_alarm(dim hha,mma as byte) 'dda)
;time_calender_module.mbas,87 :: 		ha = hha
	MOVF       FARG_set_alarm_hha+0, 0
	MOVWF      time_calender_module_ha+0
;time_calender_module.mbas,88 :: 		ma = mma
	MOVF       FARG_set_alarm_mma+0, 0
	MOVWF      time_calender_module_ma+0
;time_calender_module.mbas,90 :: 		MATEMP = mma
	MOVF       FARG_set_alarm_mma+0, 0
	MOVWF      time_calender_module_MATEMP+0
;time_calender_module.mbas,91 :: 		HATEMP = hha
	MOVF       FARG_set_alarm_hha+0, 0
	MOVWF      time_calender_module_HATEMP+0
;time_calender_module.mbas,93 :: 		end sub
L_end_set_alarm:
	RETURN
; end of _set_alarm

_nxtdaystop_alarm:

;time_calender_module.mbas,95 :: 		sub procedure nxtdaystop_alarm()
;time_calender_module.mbas,96 :: 		nxtdaystop = 1
	MOVLW      1
	MOVWF      time_calender_module_nxtdaystop+0
;time_calender_module.mbas,97 :: 		MATEMP = ma
	MOVF       time_calender_module_ma+0, 0
	MOVWF      time_calender_module_MATEMP+0
;time_calender_module.mbas,98 :: 		end sub
L_end_nxtdaystop_alarm:
	RETURN
; end of _nxtdaystop_alarm

_alarm_snooze:

;time_calender_module.mbas,100 :: 		sub procedure alarm_snooze(dim m as byte)
;time_calender_module.mbas,101 :: 		snooze = 1
	MOVLW      1
	MOVWF      time_calender_module_snooze+0
;time_calender_module.mbas,102 :: 		MATEMP = MATEMP + m
	MOVF       FARG_alarm_snooze_m+0, 0
	ADDWF      time_calender_module_MATEMP+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	MOVWF      time_calender_module_MATEMP+0
;time_calender_module.mbas,103 :: 		if MATEMP > 59
	MOVF       R1+0, 0
	SUBLW      59
	BTFSC      STATUS+0, 0
	GOTO       L__alarm_snooze14
;time_calender_module.mbas,104 :: 		then MATEMP = MATEMP - 60
	MOVLW      60
	SUBWF      time_calender_module_MATEMP+0, 1
;time_calender_module.mbas,105 :: 		HATEMP = HATEMP + 1
	INCF       time_calender_module_HATEMP+0, 1
;time_calender_module.mbas,106 :: 		if HATEMP > 23
	MOVF       time_calender_module_HATEMP+0, 0
	SUBLW      23
	BTFSC      STATUS+0, 0
	GOTO       L__alarm_snooze17
;time_calender_module.mbas,107 :: 		then HATEMP = HATEMP - 24
	MOVLW      24
	SUBWF      time_calender_module_HATEMP+0, 1
L__alarm_snooze17:
;time_calender_module.mbas,108 :: 		end if
L__alarm_snooze14:
;time_calender_module.mbas,110 :: 		end sub
L_end_alarm_snooze:
	RETURN
; end of _alarm_snooze

_alarm_check:

;time_calender_module.mbas,112 :: 		sub function alarm_check() as byte
;time_calender_module.mbas,113 :: 		if (start_a = 1) and (h_ = ha) and (mi_ = MATEMP) 'and (day_ = DATEMP)
	MOVF       _start_a+0, 0
	XORLW      1
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	MOVF       _h_+0, 0
	XORWF      time_calender_module_ha+0, 0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R0+0, 0
	ANDWF      R1+0, 1
	MOVF       _mi_+0, 0
	XORWF      time_calender_module_MATEMP+0, 0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R0+0
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__alarm_check21
;time_calender_module.mbas,114 :: 		then result = 1
	MOVLW      1
	MOVWF      R2+0
L__alarm_check21:
;time_calender_module.mbas,116 :: 		if nxtdaystop = 1
	MOVF       time_calender_module_nxtdaystop+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__alarm_check24
;time_calender_module.mbas,117 :: 		then result = 0
	CLRF       R2+0
;time_calender_module.mbas,118 :: 		nxtdaystop = 0
	CLRF       time_calender_module_nxtdaystop+0
L__alarm_check24:
;time_calender_module.mbas,120 :: 		if snooze = 1
	MOVF       time_calender_module_snooze+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__alarm_check27
;time_calender_module.mbas,121 :: 		then snooze = 0
	CLRF       time_calender_module_snooze+0
;time_calender_module.mbas,122 :: 		result = 0
	CLRF       R2+0
L__alarm_check27:
;time_calender_module.mbas,124 :: 		end sub
	MOVF       R2+0, 0
	MOVWF      R0+0
L_end_alarm_check:
	RETURN
; end of _alarm_check

_inc_time:

;time_calender_module.mbas,126 :: 		sub procedure inc_time()
;time_calender_module.mbas,127 :: 		if start_t = 1
	MOVF       _start_t+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__inc_time31
;time_calender_module.mbas,128 :: 		then inc(s_)
	INCF       _s_+0, 1
;time_calender_module.mbas,129 :: 		if s_ = 60
	MOVF       _s_+0, 0
	XORLW      60
	BTFSS      STATUS+0, 2
	GOTO       L__inc_time34
;time_calender_module.mbas,130 :: 		then s_ = 0
	CLRF       _s_+0
;time_calender_module.mbas,131 :: 		inc(mi_)
	INCF       _mi_+0, 1
;time_calender_module.mbas,132 :: 		if mi_ = 60
	MOVF       _mi_+0, 0
	XORLW      60
	BTFSS      STATUS+0, 2
	GOTO       L__inc_time37
;time_calender_module.mbas,133 :: 		then mi_ = 0
	CLRF       _mi_+0
;time_calender_module.mbas,134 :: 		inc(h_)
	INCF       _h_+0, 1
;time_calender_module.mbas,135 :: 		if h_ = 24
	MOVF       _h_+0, 0
	XORLW      24
	BTFSS      STATUS+0, 2
	GOTO       L__inc_time40
;time_calender_module.mbas,136 :: 		then h_= 0
	CLRF       _h_+0
;time_calender_module.mbas,137 :: 		dayplus = 1
	MOVLW      1
	MOVWF      time_calender_module_dayplus+0
L__inc_time40:
;time_calender_module.mbas,138 :: 		end if
L__inc_time37:
;time_calender_module.mbas,139 :: 		end if
L__inc_time34:
;time_calender_module.mbas,141 :: 		if dayplus = 1
	MOVF       time_calender_module_dayplus+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__inc_time43
;time_calender_module.mbas,142 :: 		then dayplus = 0
	CLRF       time_calender_module_dayplus+0
;time_calender_module.mbas,143 :: 		inc(d_)
	INCF       _d_+0, 1
;time_calender_module.mbas,144 :: 		if d_ > MONTHSDAY[row][columm]
	MOVLW      12
	MOVWF      R0+0
	CLRF       R0+1
	MOVF       time_calender_module_row+0, 0
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Mul_16x16_U+0
	MOVLW      time_calender_module_MONTHSDAY+0
	ADDWF      R0+0, 1
	MOVLW      hi_addr(time_calender_module_MONTHSDAY+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      R0+1, 1
	MOVF       time_calender_module_columm+0, 0
	ADDWF      R0+0, 1
	BTFSC      STATUS+0, 0
	INCF       R0+1, 1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      R1+0
	MOVF       _d_+0, 0
	SUBWF      R1+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L__inc_time46
;time_calender_module.mbas,145 :: 		then d_ = 1
	MOVLW      1
	MOVWF      _d_+0
;time_calender_module.mbas,146 :: 		inc(mo_)
	INCF       _mo_+0, 1
;time_calender_module.mbas,147 :: 		if mo_ = 13
	MOVF       _mo_+0, 0
	XORLW      13
	BTFSS      STATUS+0, 2
	GOTO       L__inc_time49
;time_calender_module.mbas,148 :: 		then mo_ = 1
	MOVLW      1
	MOVWF      _mo_+0
;time_calender_module.mbas,149 :: 		check_schrikkel()
	CALL       time_calender_module_check_schrikkel+0
;time_calender_module.mbas,150 :: 		inc(y_)
	INCF       _y_+0, 1
L__inc_time49:
;time_calender_module.mbas,151 :: 		end if
L__inc_time46:
;time_calender_module.mbas,152 :: 		end if
L__inc_time43:
;time_calender_module.mbas,153 :: 		end if
L__inc_time31:
;time_calender_module.mbas,155 :: 		end sub
L_end_inc_time:
	RETURN
; end of _inc_time
