
_interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;time_date_wkday.mbas,27 :: 		sub procedure interrupt
;time_date_wkday.mbas,28 :: 		clk = clk + start_t
	MOVF       _start_t+0, 0
	ADDWF      _clk+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	MOVWF      _clk+0
;time_date_wkday.mbas,29 :: 		if clk = 10
	MOVF       R1+0, 0
	XORLW      10
	BTFSS      STATUS+0, 2
	GOTO       L__interrupt2
;time_date_wkday.mbas,30 :: 		then clk = 0
	CLRF       _clk+0
;time_date_wkday.mbas,31 :: 		inc_time()
	CALL       _inc_time+0
;time_date_wkday.mbas,32 :: 		send = 1
	MOVLW      1
	MOVWF      _send+0
L__interrupt2:
;time_date_wkday.mbas,35 :: 		TMR1IF_bit = 0
	BCF        TMR1IF_bit+0, BitPos(TMR1IF_bit+0)
;time_date_wkday.mbas,36 :: 		CCP1IF_bit = 0
	BCF        CCP1IF_bit+0, BitPos(CCP1IF_bit+0)
;time_date_wkday.mbas,37 :: 		end sub
L_end_interrupt:
L__interrupt33:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of _interrupt

_disp:

;time_date_wkday.mbas,39 :: 		sub procedure disp
;time_date_wkday.mbas,40 :: 		if (menu = 0) AND (flags.0 = 1)
	MOVF       _menu+0, 0
	XORLW      0
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	BTFSC      _flags+0, 0
	GOTO       L__disp35
	BCF        3, 0
	GOTO       L__disp36
L__disp35:
	BSF        3, 0
L__disp36:
	CLRF       R0+0
	BTFSC      3, 0
	INCF       R0+0, 1
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__disp6
;time_date_wkday.mbas,42 :: 		cmd_lcd(1)
	MOVLW      1
	MOVWF      FARG_Cmd_LCD_cmd+0
	CALL       _Cmd_LCD+0
;time_date_wkday.mbas,43 :: 		write_lcd(1,1, "Current Time / Date")
	MOVLW      1
	MOVWF      FARG_write_LCD_y+0
	MOVLW      1
	MOVWF      FARG_write_LCD_x+0
	MOVLW      67
	MOVWF      ?LocalText_disp+0
	MOVLW      117
	MOVWF      ?LocalText_disp+1
	MOVLW      114
	MOVWF      ?LocalText_disp+2
	MOVLW      114
	MOVWF      ?LocalText_disp+3
	MOVLW      101
	MOVWF      ?LocalText_disp+4
	MOVLW      110
	MOVWF      ?LocalText_disp+5
	MOVLW      116
	MOVWF      ?LocalText_disp+6
	MOVLW      32
	MOVWF      ?LocalText_disp+7
	MOVLW      84
	MOVWF      ?LocalText_disp+8
	MOVLW      105
	MOVWF      ?LocalText_disp+9
	MOVLW      109
	MOVWF      ?LocalText_disp+10
	MOVLW      101
	MOVWF      ?LocalText_disp+11
	MOVLW      32
	MOVWF      ?LocalText_disp+12
	MOVLW      47
	MOVWF      ?LocalText_disp+13
	MOVLW      32
	MOVWF      ?LocalText_disp+14
	MOVLW      68
	MOVWF      ?LocalText_disp+15
	MOVLW      97
	MOVWF      ?LocalText_disp+16
	MOVLW      116
	MOVWF      ?LocalText_disp+17
	MOVLW      101
	MOVWF      ?LocalText_disp+18
	CLRF       ?LocalText_disp+19
	MOVLW      ?LocalText_disp+0
	MOVWF      FARG_write_LCD_text+0
	CALL       _write_LCD+0
;time_date_wkday.mbas,44 :: 		write_lcd(2,1, "TIME:000:000:000")
	MOVLW      2
	MOVWF      FARG_write_LCD_y+0
	MOVLW      1
	MOVWF      FARG_write_LCD_x+0
	MOVLW      84
	MOVWF      ?LocalText_disp+0
	MOVLW      73
	MOVWF      ?LocalText_disp+1
	MOVLW      77
	MOVWF      ?LocalText_disp+2
	MOVLW      69
	MOVWF      ?LocalText_disp+3
	MOVLW      58
	MOVWF      ?LocalText_disp+4
	MOVLW      48
	MOVWF      ?LocalText_disp+5
	MOVLW      48
	MOVWF      ?LocalText_disp+6
	MOVLW      48
	MOVWF      ?LocalText_disp+7
	MOVLW      58
	MOVWF      ?LocalText_disp+8
	MOVLW      48
	MOVWF      ?LocalText_disp+9
	MOVLW      48
	MOVWF      ?LocalText_disp+10
	MOVLW      48
	MOVWF      ?LocalText_disp+11
	MOVLW      58
	MOVWF      ?LocalText_disp+12
	MOVLW      48
	MOVWF      ?LocalText_disp+13
	MOVLW      48
	MOVWF      ?LocalText_disp+14
	MOVLW      48
	MOVWF      ?LocalText_disp+15
	CLRF       ?LocalText_disp+16
	MOVLW      ?LocalText_disp+0
	MOVWF      FARG_write_LCD_text+0
	CALL       _write_LCD+0
;time_date_wkday.mbas,45 :: 		write_lcd(3,1, "Date:000/000/000 Day:000")
	MOVLW      3
	MOVWF      FARG_write_LCD_y+0
	MOVLW      1
	MOVWF      FARG_write_LCD_x+0
	MOVLW      68
	MOVWF      ?LocalText_disp+0
	MOVLW      97
	MOVWF      ?LocalText_disp+1
	MOVLW      116
	MOVWF      ?LocalText_disp+2
	MOVLW      101
	MOVWF      ?LocalText_disp+3
	MOVLW      58
	MOVWF      ?LocalText_disp+4
	MOVLW      48
	MOVWF      ?LocalText_disp+5
	MOVLW      48
	MOVWF      ?LocalText_disp+6
	MOVLW      48
	MOVWF      ?LocalText_disp+7
	MOVLW      47
	MOVWF      ?LocalText_disp+8
	MOVLW      48
	MOVWF      ?LocalText_disp+9
	MOVLW      48
	MOVWF      ?LocalText_disp+10
	MOVLW      48
	MOVWF      ?LocalText_disp+11
	MOVLW      47
	MOVWF      ?LocalText_disp+12
	MOVLW      48
	MOVWF      ?LocalText_disp+13
	MOVLW      48
	MOVWF      ?LocalText_disp+14
	MOVLW      48
	MOVWF      ?LocalText_disp+15
	MOVLW      32
	MOVWF      ?LocalText_disp+16
	MOVLW      68
	MOVWF      ?LocalText_disp+17
	MOVLW      97
	MOVWF      ?LocalText_disp+18
	MOVLW      121
	MOVWF      ?LocalText_disp+19
	MOVLW      58
	MOVWF      ?LocalText_disp+20
	MOVLW      48
	MOVWF      ?LocalText_disp+21
	MOVLW      48
	MOVWF      ?LocalText_disp+22
	MOVLW      48
	MOVWF      ?LocalText_disp+23
	CLRF       ?LocalText_disp+24
	MOVLW      ?LocalText_disp+0
	MOVWF      FARG_write_LCD_text+0
	CALL       _write_LCD+0
;time_date_wkday.mbas,46 :: 		send = 1
	MOVLW      1
	MOVWF      _send+0
;time_date_wkday.mbas,47 :: 		flags.0 = 0
	BCF        _flags+0, 0
L__disp6:
;time_date_wkday.mbas,49 :: 		if (menu = 1) AND (flags.1 = 1)
	MOVF       _menu+0, 0
	XORLW      1
	MOVLW      255
	BTFSS      STATUS+0, 2
	MOVLW      0
	MOVWF      R1+0
	BTFSC      _flags+0, 1
	GOTO       L__disp37
	BCF        3, 0
	GOTO       L__disp38
L__disp37:
	BSF        3, 0
L__disp38:
	CLRF       R0+0
	BTFSC      3, 0
	INCF       R0+0, 1
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__disp9
;time_date_wkday.mbas,51 :: 		cmd_lcd(1)
	MOVLW      1
	MOVWF      FARG_Cmd_LCD_cmd+0
	CALL       _Cmd_LCD+0
;time_date_wkday.mbas,52 :: 		write_lcd(1,1, "set date/time")
	MOVLW      1
	MOVWF      FARG_write_LCD_y+0
	MOVLW      1
	MOVWF      FARG_write_LCD_x+0
	MOVLW      115
	MOVWF      ?LocalText_disp+0
	MOVLW      101
	MOVWF      ?LocalText_disp+1
	MOVLW      116
	MOVWF      ?LocalText_disp+2
	MOVLW      32
	MOVWF      ?LocalText_disp+3
	MOVLW      100
	MOVWF      ?LocalText_disp+4
	MOVLW      97
	MOVWF      ?LocalText_disp+5
	MOVLW      116
	MOVWF      ?LocalText_disp+6
	MOVLW      101
	MOVWF      ?LocalText_disp+7
	MOVLW      47
	MOVWF      ?LocalText_disp+8
	MOVLW      116
	MOVWF      ?LocalText_disp+9
	MOVLW      105
	MOVWF      ?LocalText_disp+10
	MOVLW      109
	MOVWF      ?LocalText_disp+11
	MOVLW      101
	MOVWF      ?LocalText_disp+12
	CLRF       ?LocalText_disp+13
	MOVLW      ?LocalText_disp+0
	MOVWF      FARG_write_LCD_text+0
	CALL       _write_LCD+0
;time_date_wkday.mbas,53 :: 		write_lcd(2,1, "TIME:000:000:000")
	MOVLW      2
	MOVWF      FARG_write_LCD_y+0
	MOVLW      1
	MOVWF      FARG_write_LCD_x+0
	MOVLW      84
	MOVWF      ?LocalText_disp+0
	MOVLW      73
	MOVWF      ?LocalText_disp+1
	MOVLW      77
	MOVWF      ?LocalText_disp+2
	MOVLW      69
	MOVWF      ?LocalText_disp+3
	MOVLW      58
	MOVWF      ?LocalText_disp+4
	MOVLW      48
	MOVWF      ?LocalText_disp+5
	MOVLW      48
	MOVWF      ?LocalText_disp+6
	MOVLW      48
	MOVWF      ?LocalText_disp+7
	MOVLW      58
	MOVWF      ?LocalText_disp+8
	MOVLW      48
	MOVWF      ?LocalText_disp+9
	MOVLW      48
	MOVWF      ?LocalText_disp+10
	MOVLW      48
	MOVWF      ?LocalText_disp+11
	MOVLW      58
	MOVWF      ?LocalText_disp+12
	MOVLW      48
	MOVWF      ?LocalText_disp+13
	MOVLW      48
	MOVWF      ?LocalText_disp+14
	MOVLW      48
	MOVWF      ?LocalText_disp+15
	CLRF       ?LocalText_disp+16
	MOVLW      ?LocalText_disp+0
	MOVWF      FARG_write_LCD_text+0
	CALL       _write_LCD+0
;time_date_wkday.mbas,54 :: 		write_lcd(3,1, "Date:000/000/000 Day:000")
	MOVLW      3
	MOVWF      FARG_write_LCD_y+0
	MOVLW      1
	MOVWF      FARG_write_LCD_x+0
	MOVLW      68
	MOVWF      ?LocalText_disp+0
	MOVLW      97
	MOVWF      ?LocalText_disp+1
	MOVLW      116
	MOVWF      ?LocalText_disp+2
	MOVLW      101
	MOVWF      ?LocalText_disp+3
	MOVLW      58
	MOVWF      ?LocalText_disp+4
	MOVLW      48
	MOVWF      ?LocalText_disp+5
	MOVLW      48
	MOVWF      ?LocalText_disp+6
	MOVLW      48
	MOVWF      ?LocalText_disp+7
	MOVLW      47
	MOVWF      ?LocalText_disp+8
	MOVLW      48
	MOVWF      ?LocalText_disp+9
	MOVLW      48
	MOVWF      ?LocalText_disp+10
	MOVLW      48
	MOVWF      ?LocalText_disp+11
	MOVLW      47
	MOVWF      ?LocalText_disp+12
	MOVLW      48
	MOVWF      ?LocalText_disp+13
	MOVLW      48
	MOVWF      ?LocalText_disp+14
	MOVLW      48
	MOVWF      ?LocalText_disp+15
	MOVLW      32
	MOVWF      ?LocalText_disp+16
	MOVLW      68
	MOVWF      ?LocalText_disp+17
	MOVLW      97
	MOVWF      ?LocalText_disp+18
	MOVLW      121
	MOVWF      ?LocalText_disp+19
	MOVLW      58
	MOVWF      ?LocalText_disp+20
	MOVLW      48
	MOVWF      ?LocalText_disp+21
	MOVLW      48
	MOVWF      ?LocalText_disp+22
	MOVLW      48
	MOVWF      ?LocalText_disp+23
	CLRF       ?LocalText_disp+24
	MOVLW      ?LocalText_disp+0
	MOVWF      FARG_write_LCD_text+0
	CALL       _write_LCD+0
;time_date_wkday.mbas,55 :: 		flags.1 = 0
	BCF        _flags+0, 1
L__disp9:
;time_date_wkday.mbas,58 :: 		if send = 1
	MOVF       _send+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__disp12
;time_date_wkday.mbas,60 :: 		send = 0
	CLRF       _send+0
;time_date_wkday.mbas,61 :: 		write_LCD_n(2,6,h_)
	MOVLW      2
	MOVWF      FARG_write_LCD_n_y+0
	MOVLW      6
	MOVWF      FARG_write_LCD_n_x+0
	MOVF       _h_+0, 0
	MOVWF      FARG_write_LCD_n_nummer+0
	CALL       _write_LCD_n+0
;time_date_wkday.mbas,62 :: 		write_LCD_n(2,10,mi_)
	MOVLW      2
	MOVWF      FARG_write_LCD_n_y+0
	MOVLW      10
	MOVWF      FARG_write_LCD_n_x+0
	MOVF       _mi_+0, 0
	MOVWF      FARG_write_LCD_n_nummer+0
	CALL       _write_LCD_n+0
;time_date_wkday.mbas,63 :: 		write_LCD_n(2,14,s_)
	MOVLW      2
	MOVWF      FARG_write_LCD_n_y+0
	MOVLW      14
	MOVWF      FARG_write_LCD_n_x+0
	MOVF       _s_+0, 0
	MOVWF      FARG_write_LCD_n_nummer+0
	CALL       _write_LCD_n+0
;time_date_wkday.mbas,64 :: 		write_LCD_n(3,6,d_)
	MOVLW      3
	MOVWF      FARG_write_LCD_n_y+0
	MOVLW      6
	MOVWF      FARG_write_LCD_n_x+0
	MOVF       _d_+0, 0
	MOVWF      FARG_write_LCD_n_nummer+0
	CALL       _write_LCD_n+0
;time_date_wkday.mbas,65 :: 		write_LCD_n(3,10,mo_)
	MOVLW      3
	MOVWF      FARG_write_LCD_n_y+0
	MOVLW      10
	MOVWF      FARG_write_LCD_n_x+0
	MOVF       _mo_+0, 0
	MOVWF      FARG_write_LCD_n_nummer+0
	CALL       _write_LCD_n+0
;time_date_wkday.mbas,66 :: 		write_LCD_n(3,14,y_)
	MOVLW      3
	MOVWF      FARG_write_LCD_n_y+0
	MOVLW      14
	MOVWF      FARG_write_LCD_n_x+0
	MOVF       _y_+0, 0
	MOVWF      FARG_write_LCD_n_nummer+0
	CALL       _write_LCD_n+0
;time_date_wkday.mbas,67 :: 		wkd = get_wkday
	CALL       _get_wkday+0
	MOVF       R0+0, 0
	MOVWF      _wkd+0
;time_date_wkday.mbas,68 :: 		write_LCD_n(3,22,wkd)
	MOVLW      3
	MOVWF      FARG_write_LCD_n_y+0
	MOVLW      22
	MOVWF      FARG_write_LCD_n_x+0
	MOVF       R0+0, 0
	MOVWF      FARG_write_LCD_n_nummer+0
	CALL       _write_LCD_n+0
L__disp12:
;time_date_wkday.mbas,70 :: 		end sub
L_end_disp:
	RETURN
; end of _disp

_menu_:

;time_date_wkday.mbas,72 :: 		sub procedure menu_
;time_date_wkday.mbas,73 :: 		knopreg = 0
	CLRF       _knopreg+0
;time_date_wkday.mbas,74 :: 		while menu = 1
L__menu_16:
	MOVF       _menu+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__menu_17
;time_date_wkday.mbas,75 :: 		start_t = 0
	CLRF       _start_t+0
;time_date_wkday.mbas,76 :: 		if knopreg = 16
	MOVF       _knopreg+0, 0
	XORLW      16
	BTFSS      STATUS+0, 2
	GOTO       L__menu_21
;time_date_wkday.mbas,77 :: 		then knopreg = 0
	CLRF       _knopreg+0
;time_date_wkday.mbas,78 :: 		flags.0 = 1
	BSF        _flags+0, 0
;time_date_wkday.mbas,79 :: 		start_t = 1
	MOVLW      1
	MOVWF      _start_t+0
;time_date_wkday.mbas,80 :: 		menu = 0
	CLRF       _menu+0
L__menu_21:
;time_date_wkday.mbas,82 :: 		wend
	GOTO       L__menu_16
L__menu_17:
;time_date_wkday.mbas,83 :: 		end sub
L_end_menu_:
	RETURN
; end of _menu_

_main:

;time_date_wkday.mbas,85 :: 		main:
;time_date_wkday.mbas,86 :: 		adcon1= %10000110        'porta als digitaal zetten
	MOVLW      134
	MOVWF      ADCON1+0
;time_date_wkday.mbas,87 :: 		trisa = 0xFF             'porta als input
	MOVLW      255
	MOVWF      TRISA+0
;time_date_wkday.mbas,88 :: 		Init_Lcd
	CALL       _Init_LCD+0
;time_date_wkday.mbas,89 :: 		set_interrupt            'interrupt elke 100ms  xtal 3.6864Mhz
	CALL       _set_interrupt+0
;time_date_wkday.mbas,90 :: 		knoptemp = 0
	CLRF       _knoptemp+0
;time_date_wkday.mbas,91 :: 		oldport = 0
	CLRF       _oldport+0
;time_date_wkday.mbas,92 :: 		menu = 0
	CLRF       _menu+0
;time_date_wkday.mbas,93 :: 		start_t = 1
	MOVLW      1
	MOVWF      _start_t+0
;time_date_wkday.mbas,95 :: 		set_time(22,30)
	MOVLW      22
	MOVWF      FARG_set_time_hh+0
	MOVLW      30
	MOVWF      FARG_set_time_mm+0
	CALL       _set_time+0
;time_date_wkday.mbas,96 :: 		set_date(22,04,13)
	MOVLW      22
	MOVWF      FARG_set_date_dd+0
	MOVLW      4
	MOVWF      FARG_set_date_mm+0
	MOVLW      13
	MOVWF      FARG_set_date_yy+0
	CALL       _set_date+0
;time_date_wkday.mbas,99 :: 		flags.0 = 1
	BSF        _flags+0, 0
;time_date_wkday.mbas,100 :: 		while true
L__main25:
;time_date_wkday.mbas,101 :: 		if knopreg = 16
	MOVF       _knopreg+0, 0
	XORLW      16
	BTFSS      STATUS+0, 2
	GOTO       L__main30
;time_date_wkday.mbas,102 :: 		then menu = 1
	MOVLW      1
	MOVWF      _menu+0
;time_date_wkday.mbas,103 :: 		flags.1 = 1
	BSF        _flags+0, 1
L__main30:
;time_date_wkday.mbas,105 :: 		disp
	CALL       _disp+0
;time_date_wkday.mbas,106 :: 		menu_
	CALL       _menu_+0
;time_date_wkday.mbas,107 :: 		wend
	GOTO       L__main25
L_end_main:
	GOTO       $+0
; end of _main
